Bug 1002489 - Remaining work hrs (statistics on right top corner) not changing simultaneously with the work
Remaining work hrs (statistics on right top corner) not changing simultaneous...
Status: CLOSED WORKSFORME
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
development
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Damian Jansen
Zanata-QA Mailling List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-29 06:18 EDT by Ani Peter
Modified: 2016-07-31 21:31 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-09 23:40:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screen shot explaining the problem with statistics display (173.72 KB, image/png)
2013-08-29 06:18 EDT, Ani Peter
no flags Details
Screen shot showing one intranslated string with 100% (57.56 KB, image/png)
2013-10-28 02:53 EDT, Ani Peter
no flags Details
Another screen shot showing the wrong stats (39.62 KB, image/png)
2013-10-28 02:54 EDT, Ani Peter
no flags Details

  None (edit)
Description Ani Peter 2013-08-29 06:18:14 EDT
Created attachment 791683 [details]
Screen shot explaining the problem with statistics display

Description of problem:

In the new Zanata instance, the remaining work time statistics appearing on the right top corner is not being updated instantly. Have attached screenshot for more clarity of the issue.

Version-Release number of selected component (if applicable):

Zanata version 3.0.2

How reproducible:

I guess always, faced this while working on  https://translate.engineering.redhat.com/iteration/view/rhn-client-tools/6.5

Actual results:
While translating the remaining work time is not being reduced simultaneously along with the number of words. Here in the attachment you can see, though the work in 100%, it shows 0.7hrs work remaining.

Expected results:
While translating the remaining work time must be reducing simultaneously along with the number of words. 

Additional info:

Screen shot attached.
Comment 1 Ani Peter 2013-10-28 02:52:16 EDT
Please note the issue still exists and really can affect our work too.

While working on gnome-terminal under RHEL7 projects (https://translate.engineering.redhat.com/webtrans/translate?project=gnome-terminal&iteration=3.8.4&localeId=ml&locale=en#doc:gnome-terminal;untranslated:show), the status said 100% in Zanata where as the internal RHEL7 status page (http://10.65.201.179:3002/rhelstat/index?lid=12) showed there is one UT and this made me probe in to it and find one untranslated string in the file.

Please look into the matter urgently.Have attached 2 relevant screen shots explaining the wrong status display.

Thanks
Ani
Comment 2 Ani Peter 2013-10-28 02:53:08 EDT
Created attachment 816702 [details]
Screen shot showing one intranslated string with 100%
Comment 3 Ani Peter 2013-10-28 02:54:06 EDT
Created attachment 816703 [details]
Another screen shot showing the wrong stats
Comment 4 Sean Flanigan 2013-10-28 03:45:30 EDT
Ani, that rounding problem (99.9996% shown as 100%) sounds like it should be a separate issue from the "remaining work doesn't update automatically" problem.  As a workaround for that one, I think the tooltip should tell you the number of untranslated words/messages.  (Perhaps the stats bar should show that info instead, when the percentage is over 99.5%.)
Comment 5 Damian Jansen 2014-03-09 23:40:50 EDT
This appears fixed to me, by changes unknown.

If the problem again presents itself, please inform with priority.

Note You need to log in before you can comment on or make changes to this bug.